ByteDance: Seedream 5.0 Pro (Image to Image) API Reference

About

ByteDance's Seedream 5.0 Pro is flagship text-to-image model, with deep-thinking prompt understanding, native text in 14 languages, and precise control over dense layouts and structured designs.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "bytedance/seedream-5.0/image-to-image",
  "prompt": "• Red frame: Oversized blue cat head gazing at bubbles, no body; • Green frame: Transparent bubble with indoor light reflections; • Yellow frame: Big warm beige wool ball; • Blue frame: Stacked blocks: gray arch, pale gray half-cylinder, lake blue cylinder/ramp, cobalt semi-disc; • Purple frame: Grass green blanket on sofa; • Interactive editing should say Seedream 5.0 Pro now live on Infron; Keep everything else the exact same.",
  "image_urls": [
    "https://storage.googleapis.com/infron_gcs/quick-upload/2026/07/23/20260723-142248-59b08fca-1.png"
  ],
  "size": "2K",
  "n": 1
}'

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260723062512935818444IcZKc6Cf",
    "object": "image",
    "model": "bytedance/seedream-5.0/image-to-image",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/images/tasks/20260723062512935818444IcZKc6Cf"
    },
    "created_at": "2026-07-23 06:25:12.98"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/images/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/images/tasks/20260723062512935818444IcZKc6Cf \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260723062512935818444IcZKc6Cf",
    "object": "image",
    "model": "bytedance/seedream-5.0/image-to-image",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1784787913,
    "start_time": 1784787913,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-07-23 06:25:13"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260723062512935818444IcZKc6Cf",
    "object": "image",
    "model": "bytedance/seedream-5.0/image-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784787913,
    "start_time": 1784787913,
    "finish_time": 1784787966,
    "outputs": [
      "https://infron.ai/cdn/media/image/generated/official_byteplus_image_bf026b6387704e018157180c96c76cf8.jpeg"
    ],
    "usage": {
      "completion_tokens": 16416,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 0,
      "size": "2K",
      "total_tokens": 16416,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.093,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.093,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-23 06:25:13"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
image_urlsarrayYes--[1,10]1–10 HTTP(S) image URLs, Reference images are used in the order of the array; the URLs must be publicly accessible.
sizestringNo--1K, 2K, WIDTH * HEIGHTFor custom dimensions, the total pixel count ranges from 921,600 to 4,624,220, the aspect ratio ranges from 1:16 to 16:1, and both width and height must be multiples of 16.
nintegerNo1==1Number of videos to generate.

Example request

curl https://media.onerouter.pro/v1/images/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "bytedance/seedream-5.0/image-to-image",
  "prompt": "• Red frame: Oversized blue cat head gazing at bubbles, no body; • Green frame: Transparent bubble with indoor light reflections; • Yellow frame: Big warm beige wool ball; • Blue frame: Stacked blocks: gray arch, pale gray half-cylinder, lake blue cylinder/ramp, cobalt semi-disc; • Purple frame: Grass green blanket on sofa; • Interactive editing should say Seedream 5.0 Pro now live on Infron; Keep everything else the exact same.",
  "image_urls": [
    "https://storage.googleapis.com/infron_gcs/quick-upload/2026/07/23/20260723-142248-59b08fca-1.png"
  ],
  "size": "2K",
  "n": 1
}'

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the task.
data.task_idstring--ID of the task.
data.objectstring--Object type of the task.
data.modelstring--Model name of the task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the task.
data.fail_reasonstring--Fail reason of the task.
data.submit_timeinteger--Timestamp of the task submission.
data.start_timeinteger--Timestamp of the task start.
data.finish_timeinteger--Timestamp of the task finish.
data.outputsarray--Outputs of the task.
data.created_atstring--Timestamp of the task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260723062512935818444IcZKc6Cf",
    "object": "image",
    "model": "bytedance/seedream-5.0/image-to-image",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784787913,
    "start_time": 1784787913,
    "finish_time": 1784787966,
    "outputs": [
      "https://infron.ai/cdn/media/image/generated/official_byteplus_image_bf026b6387704e018157180c96c76cf8.jpeg"
    ],
    "usage": {
      "completion_tokens": 16416,
      "image_count": 1,
      "image_quality": "",
      "prompt_tokens": 0,
      "size": "2K",
      "total_tokens": 16416,
      "web_search": false
    },
    "cost": {
      "total_cost": 0.093,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0.093,
        "video_cost": 0,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-23 06:25:13"
  }
}

3. Detailed Pricing

Generation TypeInput ImagesOutput PixelsEstimated Price
Text to Image0≤ 2.36 MP$0.045
Text to Image0> 2.36 MP$0.090
Image to Image1≤ 2.36 MP$0.045
Image to Image1> 2.36 MP$0.090
Multi-reference Image to Image2≤ 2.36 MP$0.048
Multi-reference Image to Image2> 2.36 MP$0.093
Multi-reference Image to Image5≤ 2.36 MP$0.057
Multi-reference Image to Image5> 2.36 MP$0.102